G4 <%= project %> <%= module %> module
---
> <%= description %>

<%= description %>

## Table of Contents

- [Prerequisites](#prerequisites)
- [Installation](#installation)
- [Usage](#usage)
- [Options](#options)
- [API](#api)
- [Tests](#tests)
- [License](#license)

## Prerequisites
%DESCRIBE_WHAT_HAS_TO_BE_INSTALLED_OR_DONE_BEFORE_INSTALLING_AND_USING_THIS_MODULE%

## Installation

Package installation
```sh
> npm install <%= pckName %>
```

Browser include
```html
<!-- // Add Browser example of <script> and <link> tags -->
```

## Usage

#### Initialize

%TEXT_ABOUT_HOW_TO_INITIALIZE%

```js
// JS Example
const ExampleClass = require('<%= pckName %>');
const options = { title: 'abc' };

new ExampleClass(options);
```

```coffee
# Coffee Example
ExampleClass = require '@intelisis/<%= pckName %>'
options =
    title: 'abc'

new ExampleClass options
```

#### OtherThanInitialize

%TEXT_ABOUT_OTHER_THING_HOW_TO_USE_MODULE%

```js
// another example in js
```

```coffee
# another example in coffee
```

## Options

- `%OPTION_1_KEY%` (Type) - %DESCRIBE_OPTION_1%
    - `%OPTION_1_VALUE_1%` (Type) - %DESCRIBE_OPTION_1_VALUE_1%
    - `%OPTION_1_VALUE_2%` (Type) - %DESCRIBE_OPTION_1_VALUE_2%
- `%OPTION_2_KEY%` (Type) - %DESCRIBE_OPTION_2%
    - `%OPTION_2_VALUE_1%` (Type) - %DESCRIBE_OPTION_2_VALUE_1%
    - `%OPTION_2_VALUE_2%` (Type) - %DESCRIBE_OPTION_2_VALUE_2%

## API

#### %FunctionOrModuleName%(%parameter1%, %parameter2%)

##### %parameter1%
Type: `%TYPE%`

##### %parameter2%
Type: `%TYPE%`

## Tests

How to run the unit tests
```sh
> npm install
> gulp test
```

How to run the functional tests
```sh
> npm install
> gulp test
```

## License
Copyright (C) 2016 Intelisis Software, S.A. de C.V. - All Rights Reserved

Unauthorized copying or distributing of this repository, project or any part of it, via any medium is strictly prohibited

Proprietary and confidential
