FS     = require 'fs'
Chalk  = require 'chalk'
Cwd    = require 'cwd'
Mkdirp = require 'mkdirp'
module.exports =
  # check that you are in the correct path depending on the type of module
  checkType: ->
    currentDir = Cwd().split('/').pop()
    if currentDir isnt @LOCALS.path
      try
        process.chdir @LOCALS.path
      catch error
        Mkdirp.sync @LOCALS.path
        @destinationRoot(@LOCALS.path)

  checkModuleName: ->
    done = @async()
    FS.stat @LOCALS.moduleName, ((err, data) ->
      return done() if err
      @env.error("Already a module named #{@LOCALS.moduleName}")
    ).bind(this)
